import { ParsedMoveToml } from "./types";
export declare class MoveToml {
    private toml;
    constructor(tomlPathOrStr: string);
    addRow(sectionName: string, key: string, value: string): this;
    getSectionNames(): string[];
    isPublished(): boolean;
    removeRow(sectionName: string, key: string): this;
    serialize(): string;
    updateRow(sectionName: string, key: string, value: string): this;
    static isValidValue(value: string): boolean;
    static parse(tomlStr: string): ParsedMoveToml;
    private forceGetRow;
    private forceGetSection;
    private getRow;
    private getSection;
}
